fn1. not working in tickets
2015-07-28 14:58 - Robert Schneider

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 3.1.0

Description

In issues fn links don't work. In Redmine Guide (example) it is working, but not in issues. The foot note itself is rendered correctly but
the link is not.

Example:

This is a test. [1]

fnl. Here is the footnote.
will be this:

This is a test. [1]

" Here is the footnote.

So [1] looks like [1]. It is not replaced by a link to the foot note (with blue foreground color).

Related issues:
Related to Redmine - Feature #6269: RedCloth 4 support New

History

#1 - 2015-07-28 15:14 - Go MAEDA

Please try placing brackets just behind alphanumeric characters like the following:
This is a test[1l].

#2 - 2015-07-28 22:36 - Michael Goegel

Hi Robert,

| encountered a similar problem using wiki. The footnotes only work directly after letters. Brackets and other special characters lead to the behavior
you posted.

Regards

Michael

#3 - 2015-07-29 01:51 - Go MAEDA
- Related to Feature #6269: RedCloth 4 support added

#4 - 2015-07-29 01:56 - Go MAEDA

| tested RedCloth 4.2.9 (not on Redmine). It can handle any of the following:
This is a test. [1]

This is a test.[1]

This is a test[1l].

#5 - 2015-07-29 03:18 - Mischa The Evil

For clarity's sake: current Redmine's Textile implementation (customized RedCloth 3.0.4) only supports the syntax that is used in the third and last
example in the previous note by Go MAEDA.
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Ruby-interpreter

#6 - 2015-07-29 08:52 - Robert Schneider

- Status changed from New to Resolved

Another test.

" Here is the footnote.

Okay, true. So this is not a bug/defect. Rather it can be seen as a lack of documentation. One just has to know how the footnote can be used. But of
course, switching to the newer version of RedCloth would be nice.

Thank you for the fast treatment!

#7 - 2015-08-02 09:05 - Jean-Philippe Lang

- Status changed from Resolved to Closed
